﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.Data.DataForm;

namespace DataFormButtonsVisibilityTest
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			ObservableCollection<Person> persons = new ObservableCollection<Person>();
			persons.Add(new Person(){ FirstName="John", LastName ="Smith" });
			persons.Add(new Person() { FirstName = "Sarah", LastName = "Connor" });

			this.RadDataForm1.ItemsSource = persons;
		}

		private void ShowEditButton_Click(object sender, RoutedEventArgs e)
		{
			this.RadDataForm1.CommandButtonsVisibility = DataFormCommandButtonsVisibility.All;
		}

		private void HideEditButton_Click(object sender, RoutedEventArgs e)
		{
			this.RadDataForm1.CommandButtonsVisibility = DataFormCommandButtonsVisibility.All & ~DataFormCommandButtonsVisibility.Edit;
		}
	}

	public class Person
	{
		public string FirstName { get; set; }
		public string LastName { get; set; }
	}
}
